staqlydocs
REST APIAPI referenceAlerts

Get an alert channel

Get an alert channel

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

GET
/v1/alerts/{id}

Authorization

headerAuthorizationBearer <token>

API key (stk_...), or in the Community Edition the access token (stk_local_...)

Path Parameters

id*string

Response Body

OK

application/json
  1. response
id*string
name*string
type*string
Value in"telegram""slack""discord""ntfy""email"
enabled*boolean
config*

Settings with secrets masked

events*array<string>
collection_ids*array<string>
digest_window_seconds*integer
fail_count*integer

Consecutive failed sends; the channel is disabled at NOTIFY_MAX_FAILS

last_error*string
disabled_reason*string
last_sent_at*|
Formatdate-time
created_at*string
Formatdate-time
updated_at*string
Formatdate-time
curl -X GET 'https://staqly.example.com/v1/alerts/string'
{  "id": "string",  "name": "string",  "type": "telegram",  "enabled": true,  "config": {},  "events": [    "string"  ],  "collection_ids": [    "string"  ],  "digest_window_seconds": 0,  "fail_count": 0,  "last_error": "string",  "disabled_reason": "string",  "last_sent_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}